EDIT - feature request #3746

Implement time period scope for description elements in TaxEditor
09/27/2013 04:05 PM - Andreas Miller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.0

Severity: normal

Description

...... i is-stillmissi _ vai v J Pata- => handled in #3836

see #3312, #3747

duplicated by #3615

Related issues:

Related to EDIT - feature request #3747: Check if time period is handled corr... Closed
Related to EDIT - feature request #3312: Add time period scope to Description... Closed
Related to EDIT - feature request #3836: Implement modifiers and modifying te... Closed
Related to EDIT - feature request #3616: Show DescriptionElementBase.timeperi... Closed
Copied to EDIT - feature request #7394: parsing behaviour and layout of the p... New

Associated revisions

Revision e8a69e3a - 04/27/2018 02:31 PM - Katja Luther

fix #3746: move time period down in details view

Revision 8f3ebbd4 - 05/02/2018 09:54 AM - Katja Luther

ref #3746: fix not saving period data in details view

History

#1 - 01/14/2014 01:46 PM - Cherian Mathew
- Target version deleted (TaxEditor COM 3.3)

#2 - 03/28/2014 11:11 AM - Andreas Kohlbecker

- Target version deleted ()

no release 3.3.1 of the taxeditor so | am moving all tickets to the next milestone 3.3.2

#3 - 11/24/2014 01:29 PM - Cherian Mathew
- Target version deleted (TaxEditor RELEASE 3.4.0)

Moving tickets to 3.4.1 milestone

#4 - 03/16/2015 05:32 PM - Cherian Mathew

- Target version deleted ()

Moving tickets that were auto assigned to me to the unassigned milestone

#5 - 01/18/2018 02:16 PM - Andreas Miiller
- Description updated
- Assignee changed from Cherian Mathew to Katja Luther

- Target version changed from Unassigned CDM tickets to Release 4.13
We may now need DescriptionElementBase timeperiods for flowering time features.

#6 - 01/18/2018 02:17 PM - Andreas Miiller

- Related to feature request #3747: Check if time period is handled correctly for description elements in data portals added

#7 - 01/18/2018 02:17 PM - Andreas Miiller
- Related to feature request #3312: Add time period scope to DescriptionElementBase added

#9 - 01/18/2018 02:20 PM - Andreas Miiller
RH:

nach jahrelanger Pause wollen wir fir Zypern mal wieder ein Datenset erfassen und es im Portal darstellen, die Blihzeiten der Arten.

Im Prinzip gibt es zwei Herangehensweisen. Entweder wir machen es ,primitiv* und flllen irgendwelche Freitextfelder aus, etwa mit
w~January-May(June)“ oder &hnlich. Oder wir erfassen die Monate strukturiert in Tabellenform und zeigen das wie auch immer geartet graphisch an
(habe mal eine primitive Farbleiste angehangt mit Haupt- und Nebenzeiten dunkel/hell). Da gibt es sicherlich noch elegantere Lésungen.

#10 - 01/18/2018 02:21 PM - Andreas Miiller

- Private changed from Yes to No

#11 - 01/31/2018 12:22 PM - Andreas Miiller

- Target version changed from Release 4.13 to Release 4.14

#12 - 02/15/2018 03:23 PM - Andreas Miiller

- Target version changed from Release 4.14 to Release 5.0

#13 - 03/09/2018 09:25 PM - Andreas Miiller
- Priority changed from New to Highest

This is needed for cyprus therefore | put it to highest

#14 - 03/14/2018 04:12 PM - Katja Luther

The time period should be displayed for all kind of features?
| think for some it is not necessary, for example common names... or categorical data.
maybe we also should add this to the Feature class.

#15 - 03/15/2018 09:46 AM - Andreas Miiller

Every information may have a time scope. A common name e.g. may have been used only in a certain century. And categorical data is only a way to
handle data in a more structured way then pure TextData, the data itself may be true anyway only for a certain time.

Of course we could think about something like supportsTimeScope in Feature class but | don't think this is necessary. Maybe better we add a
CdmPreference "timeScopeSupporting features" or so, so each project can decide for which features it wants to allow adding time scopes.

#16 - 04/27/2018 02:31 PM - Katja Luther
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|e8a69e3a3ed9a470ae9f440631eb4cc2bbbad658.

#17 - 04/27/2018 02:33 PM - Katja Luther
- Assignee changed from Katja Luther to Andreas Mdiller

- % Done changed from 50 to 0

this should be fixed now. the time period element is now at the end of the description element details view

#18 - 04/30/2018 04:33 PM - Andreas Miiller

Some minor issues:

1. Relabel to "Time scope"
2. Leave a bit more space to the element above
3. Keep the element collapsed at start time. Only if someone really wants to edit the time scope it should be expanded.

#19 - 04/30/2018 04:41 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Katja Luther

Some general issue about the time period selection.

The parsing behavior is somewhat unclear. E.g.
e Enter date 1.1.2006 into "Parse" Textbox => according date shows up in label and in atomized Start textboxes
e Remove text from "Parse" => label disappears, however Start textboxes are still filled
e Change value in Start-Year to 2005 => 2005 appears in label

Looks like the the Start textboxes are not emptied correctly while the values are internally deleted already.

Please decide if this is related to the ticket or an issue for a new ticket.

#20 - 04/30/2018 04:50 PM - Andreas Miiller

- File picture672-1.png added

Another minor and general issue:

The labels "Start" and "End" are not on the same hight as the according labels for "Year", "Month" and "Day". See attachment.

#21 - 04/30/2018 04:53 PM - Andreas Miiller

A critical issue: the value is NOT being saved or not being reloaded when reopening the fact !!

#22 - 04/30/2018 04:53 PM - Andreas Miiller
- % Done changed from 0 to 30

#23 - 05/02/2018 10:00 AM - Katja Luther
- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller

The saving is fixed now.

The other issues are related to the general period part so | create a new ticket for this. (#7394)

#24 - 05/02/2018 10:12 AM - Andreas Miiller

- Copied to feature request #7394: parsing behaviour and layout of the period part issues added

#25 - 05/02/2018 11:38 AM - Andreas Miiller
- Status changed from Resolved to Feedback
- Assignee changed from Andreas Muiller to Katja Luther

- % Done changed from 30 to 40
Andreas Muller wrote:
Some minor issues:
1. Relabel to "Time scope"
2. Leave a bit more space to the element above
3. Keep the element collapsed at start time. Only if someone really wants to edit the time scope it should be expanded.
The first 2 issues still seem to be open.

If possible please also reduce the empty space below label "Time period"("Time scope") by moving the atomized data part more to the left. Otherwise
it easily happens that the data textboxes are wrapped.

The save seems to work now.
#26 - 05/12/2018 07:37 PM - Andreas Miiller

- Related to feature request #3836: Implement modifiers and modifying text for Description Elements in TaxEditor added

#27 - 05/17/2018 04:05 PM - Katja Luther
- Status changed from Feedback to Closed
- % Done changed from 40 to 100

only the space between the time period element and the element above is still open, so | close this ticket.
#28 - 02/25/2019 05:28 PM - Andreas Kohlbecker

The output in the taxeditor can very ugly depending on the partial fields being used:

¢ Timescope: start month: 05 - end month 06
e representation: 5.xxxx-6.Xxxx

Is this wanted?

#29 - 02/25/2019 06:01 PM - Andreas Kohlbecker

- Related to feature request #3616: Show DescriptionElementBase.timeperiod in Dataportals added
#30 - 02/25/2019 10:08 PM - Andreas Miiller
Andreas Kohlbecker wrote:

The output in the taxeditor can very ugly depending on the partial fields being used:

e Timescope: start month: 05 - end month 06
e representation: 5.xxxx-6.XXxx

Is this wanted?

Not wanted but we havn't discussed yet best formatting for Partial with missing non-beginning parts. There are multiple possibilities.

Files
